svn_auth_get_parameter
svn_blame
SVN Funkcje
PHP Manual

# svn_auth_set_parameter

(PECL svn >= 0.1.0)

svn_auth_set_parameter — Sets an authentication parameter

### Opis

void svn_auth_set_parameter ( string `$key` , string `$value` )

Sets authentication parameter at `key` to `value`. For a list of valid keys and their meanings, consult the authentication constants list.

### Parametry

`key`

  String key name. Use the authentication constants defined by this extension to specify a key.

`value`

  String value to set to parameter at key. Format of value varies with the parameter.

### Zwracane wartości

Nie jest zwracana żadna wartość.

### Notatki

Ostrzeżenie

Ta funkcja jest w stadium EKSPERYMENTALNYM. Oznacza to, że zachowanie funkcji, jej nazwa, w zasadzie wszystko udokumentowane tutaj może zostać zmienione w przyszłych wersjach PHP bez wcześniejszego uprzedzenia. Używaj tej funkcji na własne ryzyko.

### Przykłady

Przykład #1 Default authentication example

This example configures SVN so that the default username to use is 'Bob' and the default password is 'abc123':

`<?php
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_USERNAME, 'Bob');
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_PASSWORD, 'abc123');
?>`

### Zobacz też:

- svn_auth_get_parameter() - Retrieves authentication parameter
- Authentication constants

svn_auth_get_parameter
svn_blame
SVN Funkcje
PHP Manual